locals {
  nextcloud_backup = file("${path.module}/jobs/nextcloud.hcl")
}

resource "nomad_job" "backups" {
  hcl2 {
    enabled = true
    vars = {
      "nextcloud_backup" = "${local.nextcloud_backup}",
    }
  }

  jobspec = file("${path.module}/backup.nomad")
}

resource "nomad_job" "backups-oneoff" {
  hcl2 {
    enabled = true
    vars = {
      "nextcloud_backup" = "${local.nextcloud_backup}",
    }
  }

  jobspec = file("${path.module}/oneoff.nomad")
}
